program arguments
implicit none
!   Ceci est un petit programme d'intiation à Fortran.
real x,xs2
integer i

do i=1,4
   x=i
   call divise_par_2(x,xs2)
   print*,'x et x/2 ',x,xs2
enddo

end

subroutine divise_par_2(x,xdivisepar2)
implicit none
real x,xdivisepar2
xdivisepar2=x/2.
return
end
